spring.profiles.active=dev
spring.aop.proxy-target-class=false
spring.mvc.pathmatch.matching-strategy=ant_path_matcher
spring.mvc.throw-exception-if-no-handler-found=true
server.error.whitelabel.enabled=false
spring.h2.console.enabled=false
jasypt.encryptor.bean=jasyptStringEncryptor
jasypt.encryptor.password-property-name=JASYPT_KEY

# Spring Quartz 설정
spring.quartz.job-store-type=jdbc
spring.quartz.jdbc.initialize-schema=always

spring.quartz.datasource.driver-class-name=org.postgresql.Driver
spring.quartz.datasource.jdbcUrl=jdbc:postgresql://192.168.0.60:5432/casaos
spring.quartz.datasource.username=casaos
spring.quartz.datasource.password=casaos

spring.quartz.properties.org.quartz.jobStore.driverDelegateClass=org.quartz.impl.jdbcjobstore.PostgreSQLDelegate
spring.quartz.properties.org.quartz.jobStore.isClustered=true
spring.quartz.properties.org.quartz.jobStore.misfireThreshold=60000
spring.quartz.properties.org.quartz.jobStore.clusterCheckinInterval=15000
spring.quartz.properties.org.quartz.scheduler.instanceName=sdl-dev
spring.quartz.properties.org.quartz.scheduler.instanceId=AUTO
spring.quartz.properties.org.quartz.scheduler.rmi.export=false
spring.quartz.properties.org.quartz.scheduler.rmi.proxy=false
spring.quartz.properties.org.quartz.threadPool.class=org.quartz.simpl.SimpleThreadPool
spring.quartz.properties.org.quartz.threadPool.threadCount=10
spring.quartz.properties.org.quartz.threadPool.threadPriority=5
spring.quartz.properties.org.quartz.threadPool.threadsInheritContextClassLoaderOfInitializingThread=true
spring.quartz.properties.org.quartz.scheduler-name=QuartzScheduler

#spring.cache.type=redis
#spring.data.redis.host=localhost
#spring.data.redis.port=6379
